%define module	Heap
%define name	perl-%{module}
%define version 0.71
%define release 3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Heap collection of modules provide routines that manage a heap of
elements. A heap is a partially sorted structure that is always able to
easily extract the smallest of the elements in the structure (or the
largest if a reversed compare routine is provided). 

If the collection of elements is changing dynamically, the heap has less
overhead than keeping the collection fully sorted. 

The elements must be objects as described in "Heap::Elem" and all
elements inserted into one heap must be mutually compatible - either the
same class exactly or else classes that differ only in ways unrelated to
the Heap::Elem interface.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Heap.pm
%{perl_vendorlib}/Heap
%{perl_vendorlib}/auto/Heap
%{_mandir}/*/*

%changelog
* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.71-3mdk
- fix buildrequires in a backward compatible way

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.71-2mdk 
- make test

* Sat Jun 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.71-1mdk
- 0.71

* Wed Jun 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.70-1mdk
- 0.70

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.50-3mdk
- rebuild against new perl
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.50-2mdk
- rebuild for new auto{prov,req}

* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50-1mdk
- first mdk release
